<template>
  <b-link :to="link" class="nav-link" :class="{ 'active' : active}">
    <b-icon :icon="icon" />
    <div class="name">
      {{ text }}
    </div>
  </b-link>
</template>

<script>
export default {
  name: 'SidebarNavItem',
  props: {
    text: String,
    icon: String,
    link: Object,
    active: Boolean
  }
}
</script>

<style scoped lang="scss">
.nav-link {
  font-size: 1.1rem;
  display: block;
  padding: 0.5rem 0.5rem;
  border-radius: 5px;

  &:hover {
    background: #fafafb;
  }

  &.active {
    background: rgb(244, 245, 247);

    .bi {
      color: #40454e;
    }

    .name {
      color: rgb(23, 29, 35);
    }
  }

  .bi {
    font-size: 1.6rem;
    color: rgb(160, 166, 170);
  }

  .name {
    display: inline-block;
    margin-left: 6px;
    color: #40454e;
    font-weight: 500;
  }
}
</style>
